#ifndef _SYSTEM_H_
#define _SYSTEM_H_

#define MAX_EDMA_HANDLER_COUNT	16
struct
{
	int HandlerCount;
} EDMAInterruptHandler;

typedef void (* TEDMAEventHandler) (void);
TEDMAEventHandler EDMAEventHandler[MAX_EDMA_HANDLER_COUNT];


void InitDev();
void InitEMIFA();
void InitCache();
void InitGPIO();
void InitDDR2();
void InitPllc_850M();
void Init_Complete(void);
int AllocEDMAInterruptHandler(TEDMAEventHandler edmaEventHandler, int index);
void DefaultEDMAEventHandler(void);
void edmaIsr();
#endif
